curl --request GET \
--url https://{host}/lucca-api/job-positions/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74",
"remoteId": null,
"employment": {
"id": "28",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/28"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"status": "active",
"startsOn": "2024-01-01",
"endsOn": null,
"businessEstablishment": {
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5"
},
"jobTitle": "Developer",
"jobQualification": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982"
},
"manager": {
"id": "541",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/541"
},
"occupationCategory": {
"id": "12",
"type": "occupation-category",
"url": "https://example.ilucca.net/lucca-api/occupation-categories/12"
},
"workingTimeArrangement": {
"id": "23",
"type": "working-time-arrangement",
"url": "about:blank"
},
"department": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32"
},
"document": null,
"notes": null,
"t9n": {
"jobTitle": {
"fr-FR": "Développeur"
}
},
"updatedAttributes": [
"jobTitle",
"jobQualification"
],
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {},
"embedded": {
"department": {
"32": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32",
"name": "Finances",
"remoteId": "FIN",
"isArchived": false,
"parent": null,
"level": 1,
"manager": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"owningApplication": null,
"links": {}
}
},
"job-qualification": {
"982": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982",
"title": "Lead Developer",
"profession": {
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89"
},
"rank": 2,
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
},
"employee": {
"416": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"portrait": {
"href": "https://example.ilucca.net/lucca-api/files/66512232?token=eyJhbGciOi"
},
"employments": {
"href": "https://example.ilucca.net/lucca-api/employments?employee.id=416"
},
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.employee.id=416"
},
"personalRecord": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?employee.id=416"
}
}
}
},
"employment": {
"4561": {
"id": "4561",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/4561",
"remoteId": "EMPLOYMENT#4512-ac",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"status": "active",
"start": {
"date": "2024-01-01"
},
"end": null,
"document": {
"id": "74411",
"type": "file",
"url": "https://example.ilucca.net/lucca-api/files/74411"
},
"template": {
"id": "4",
"type": "employment-template",
"url": "https://example.ilucca.net/lucca-api/employment-templates/4"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.id=4561"
},
"probationaryPeriods": {
"href": "https://example.ilucca.net/lucca-api/probationary-periods?employment.id=4561"
}
}
}
}
}
}Retrieve an job-position by its ID.
curl --request GET \
--url https://{host}/lucca-api/job-positions/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74",
"remoteId": null,
"employment": {
"id": "28",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/28"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"status": "active",
"startsOn": "2024-01-01",
"endsOn": null,
"businessEstablishment": {
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5"
},
"jobTitle": "Developer",
"jobQualification": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982"
},
"manager": {
"id": "541",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/541"
},
"occupationCategory": {
"id": "12",
"type": "occupation-category",
"url": "https://example.ilucca.net/lucca-api/occupation-categories/12"
},
"workingTimeArrangement": {
"id": "23",
"type": "working-time-arrangement",
"url": "about:blank"
},
"department": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32"
},
"document": null,
"notes": null,
"t9n": {
"jobTitle": {
"fr-FR": "Développeur"
}
},
"updatedAttributes": [
"jobTitle",
"jobQualification"
],
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {},
"embedded": {
"department": {
"32": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32",
"name": "Finances",
"remoteId": "FIN",
"isArchived": false,
"parent": null,
"level": 1,
"manager": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"owningApplication": null,
"links": {}
}
},
"job-qualification": {
"982": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982",
"title": "Lead Developer",
"profession": {
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89"
},
"rank": 2,
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
},
"employee": {
"416": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"portrait": {
"href": "https://example.ilucca.net/lucca-api/files/66512232?token=eyJhbGciOi"
},
"employments": {
"href": "https://example.ilucca.net/lucca-api/employments?employee.id=416"
},
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.employee.id=416"
},
"personalRecord": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?employee.id=416"
}
}
}
},
"employment": {
"4561": {
"id": "4561",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/4561",
"remoteId": "EMPLOYMENT#4512-ac",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"status": "active",
"start": {
"date": "2024-01-01"
},
"end": null,
"document": {
"id": "74411",
"type": "file",
"url": "https://example.ilucca.net/lucca-api/files/74411"
},
"template": {
"id": "4",
"type": "employment-template",
"url": "https://example.ilucca.net/lucca-api/employment-templates/4"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.id=4561"
},
"probationaryPeriods": {
"href": "https://example.ilucca.net/lucca-api/probationary-periods?employment.id=4561"
}
}
}
}
}
}Required OAuth 2.0 Scopes
job-positions.readonly
job-positions.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Identifier of the job-position to retrieve.
Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A job-position resource.
1"job-position"Resource identifier in a third-party system. No unicity constraint: two job-positions may have the same value.
1 - 1024Reference to an employment resource.
Show child attributes
Read-only. Reference to the employment's employee.
Show child attributes
Read-only. The employee status is calculated from the employee's employments.
active, upcoming, deactivated "active"
Effective date of this job-position for this employee.
Cannot be outside the range of the employment.
This should be considered "applicable" based on the related employment business-establishment timezone.
^\d{4}-\d{2}-\d{2}$Read-only. End date (included) of this job-position effectiveness.
Is calculated from the startsOn property of the closest next job-position, or the endsOn date of the parent employment.
This should be considered "applicable" based on the related employment business-establishment timezone.
Must be greater or equal than StartsOn date.
^\d{4}-\d{2}-\d{2}$Reference to a business-establishment resource.
Show child attributes
Short description of the job occupied by this employee.
1 - 1024Reference to a job-qualification resource.
Show child attributes
Reference to another employee, who is considered to be this employee's manager.
Show child attributes
Reference to an occupation-category resource.
Show child attributes
Reference to a working-time-arrangement resource.
Show child attributes
Reference to a department resource.
Show child attributes
Optional notes about this job-position change.
500Show child attributes
List of attributes that changed compared with this employee previous job-position, even if said job-position was on another employment and/or not immediately sequential.
List of attributes that can change for a job-position.
remoteId, jobTitle, jobQualification, occupationCategory, workingTimeArrangement, department Read-only. UTC timestamp of the moment this object was created.
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.
"2023-01-23T12:45:23.1234Z"
Show child attributes
Embeds the representation of resources related to the job-position(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?